Package ru.bitel.bgbilling.kernel.admin.web.server.bean

# Class MenuItem

java.lang.Object
ru.bitel.bgbilling.kernel.admin.web.server.bean.MenuItem

public class MenuItem extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `String`
  `getCssClass()`
  `String`
  `getDefaultMenu()`
  `String`
  `getDescription()`
  `String`
  `getIcon()`
  `int`
  `getId()`
  `String`
  `getModule()`
  `int`
  `getModuleId()`
  `String`
  `getTitle()`
  `MenuItem`
  `setAction(String action)`
  `MenuItem`
  `setCssClass(String cssClass)`
  `MenuItem`
  `setDefaultMenu(String defaultMenu)`
  `MenuItem`
  `setDescription(String description)`
  `MenuItem`
  `setIcon(String icon)`
  `MenuItem`
  `setId(int id)`
  `MenuItem`
  `setModule(String module)`
  `MenuItem`
  `setModuleId(int moduleId)`
  `MenuItem`
  `setTitle(String title)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MenuItem

    public MenuItem()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public MenuItem setId(int id)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public MenuItem setModuleId(int moduleId)

  - ### getModule

    public String getModule()

  - ### setModule

    public MenuItem setModule(String module)

  - ### getAction

    public String getAction()

  - ### setAction

    public MenuItem setAction(String action)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public MenuItem setTitle(String title)

  - ### getDefaultMenu

    public String getDefaultMenu()

  - ### setDefaultMenu

    public MenuItem setDefaultMenu(String defaultMenu)

  - ### getIcon

    public String getIcon()

  - ### setIcon

    public MenuItem setIcon(String icon)

  - ### getCssClass

    public String getCssClass()

  - ### setCssClass

    public MenuItem setCssClass(String cssClass)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public MenuItem setDescription(String description)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`